
Summary:	A powerful batch renamer for KDE
Name:		krename
Version:	5.0.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE5
Url:		http://www.krename.net/
Source0:	https://download.kde.org/stable/krename/%{version}/src/%{name}-%{version}.tar.xz
#-------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: libexiv2-devel
BuildRequires: libfreetype6-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkf5completion-devel
BuildRequires: libkf5configwidgets-devel
BuildRequires: libkf5crash-devel
BuildRequires: libkf5i18n-devel
BuildRequires: libkf5iconthemes-devel
BuildRequires: libkf5jobwidgets-devel
BuildRequires: libkf5service-devel
BuildRequires: libkf5widgetsaddons-devel
BuildRequires: libkf5xmlgui-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjs-devel
BuildRequires: libpodofo-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libqt5xml-devel
BuildRequires: libtaglib-devel
BuildRequires: qtbase5-common-devel
#-------------------------------------------------

%description
KRename is a powerful batch renamer for KDE. It allows you to easily
rename hundreds or even more files in one go. The filenames can be
created by parts of the original filename, numbering the files or
accessing hundreds of informations about the file, like creation
date or Exif informations of an image.

%files -f %{name}.lang
%doc AUTHORS README.md
%{_kf5_bindir}/%{name}
%{_kf5_services}/ServiceMenus/*.desktop
%{_kf5_applicationsdir}/*.desktop
%{_kf5_datadir}/metainfo/org.kde.krename.appdata.xml
%{_kf5_iconsdir}/*/*/apps/*.png

#-------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

#menu
desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-System-FileTools" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}


%changelog
* Mon Apr 09 2018 adrianomorselli <adrianomorselli> 5.0.0-1uplos2018
- update
